```@meta
CurrentModule = ColorQuantization
```

# ColorQuantization

Documentation for [ColorQuantization.jl](https://github.com/JuliaImages/ColorQuantization.jl), a Julia package to generate color palettes from images.

!!! note
    This package is part of a wider [Julia-based image processing ecosystem](https://github.com/JuliaImages). If you are starting out, then you may benefit from reading about some [fundamental conventions](https://juliaimages.org/stable/tutorials/quickstart/) that the ecosystem utilizes that are markedly different from how images are typically represented in OpenCV, MATLAB, ImageJ or Python.

## Installation 
To install this package and its dependencies, open the Julia REPL and run 
```julia-repl
julia> ]add ColorQuantization
```

## Manual
```@contents
Pages = [
    "generated/getting_started.md",
]
Depth = 2
```

## API reference
```@contents
Pages = ["api.md",]
Depth = 2
```